## Class TAutoCompleteTemplate

Description

Implements interfaces:

- ITemplate

TAutoCompleteTemplate class.

TAutoCompleteTemplate is the default template for TAutoCompleteTemplate item template.

- since: 3.1
- version: $Id: TAutoComplete.php 2315 2007-10-11 12:04:08Z tof $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/ActiveControls/TAutoComplete.php (line 422)

    TComponent
       |
       --TAutoCompleteTemplate

Method Summary
TAutoCompleteTemplate __construct (mixed $template)
void instantiateIn (TControl $parent)
Methods
Constructor __construct (line 426)

- access: public

TAutoCompleteTemplate __construct (mixed $template)
instantiateIn (line 435)

Instantiates the template.

It creates a TDataList control.

- access: public

void instantiateIn (TControl $parent)

- TControl $parent: parent to hold the content within the template

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:30:58 -0400 by phpDocumentor 1.3.0RC4